Package org.eclipse.mat.ui.snapshot

# Class ImageHelper.ImageImageDescriptor

java.lang.Object
org.eclipse.jface.resource.DeviceResourceDescriptor<Image>
org.eclipse.jface.resource.ImageDescriptor
org.eclipse.mat.ui.snapshot.ImageHelper.ImageImageDescriptor

Enclosing class:
  ImageHelper

public static class ImageHelper.ImageImageDescriptor extends ImageDescriptor

## Constructor Summary

Constructors
Constructor
Description
`ImageImageDescriptor(Image image)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`ImageData`
`getImageData()`
`int`
`hashCode()`

### Methods inherited from class org.eclipse.jface.resource.ImageDescriptor

`createFromFile, createFromImage, createFromImage, createFromImageData, createFromImageDataProvider, createFromURL, createFromURLSupplier, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getImageData, getMissingImageDescriptor, imageDescriptorFromURI`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImageImageDescriptor

public ImageImageDescriptor(Image image)

## Method Details

### getImageData

public ImageData getImageData()

Overrides:
  `getImageData` in class `ImageDescriptor`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`